# Account

## GraphQL partial SDLs

This is a graphql reference page. In the llms.txt variant, those components link to the shared partial SDL key list instead of trying to resolve inline GraphQL reference content.

Fetch all available partial SDL keys first:

```text
GET https://docs.commercetools.com/apis/rest/content/by-id?id=ctp:gql-il:returnTypesList
```

Then fetch the one or more relevant partial SDL with a key from that list by calling the same endpoint with a schema ID:

```text
GET https://docs.commercetools.com/apis/rest/content/by-id?id=ctp:gql-il:schema:<key>
```

The response body is a JSON object keyed by the requested content ID. For example, the key-list request returns a `ctp:gql-il:returnTypesList` field and a schema request returns a `ctp:gql-il:schema:<key>` field.

**Queries and mutations for the signed-in Customer and their address book.**

### Queries

#### Get signed-in Customer

[fetch SDL for query me](#graphql-partial-sdls).

### Mutations

#### Register Customer

[fetch SDL for mutation register](#graphql-partial-sdls).

#### Update Customer profile

[fetch SDL for mutation updateProfile](#graphql-partial-sdls).

#### Set Customer middle name

[fetch SDL for mutation setMiddleName](#graphql-partial-sdls).

#### Set Customer title

[fetch SDL for mutation setTitle](#graphql-partial-sdls).

#### Set Customer salutation

[fetch SDL for mutation setSalutation](#graphql-partial-sdls).

#### Set Customer date of birth

[fetch SDL for mutation setDateOfBirth](#graphql-partial-sdls).

#### Set Customer company name

[fetch SDL for mutation setCompanyName](#graphql-partial-sdls).

#### Set Customer VAT ID

[fetch SDL for mutation setVatId](#graphql-partial-sdls).

#### Change Customer password

[fetch SDL for mutation changePassword](#graphql-partial-sdls).

#### Change Customer email

[fetch SDL for mutation changeEmail](#graphql-partial-sdls).

#### Add Customer address

[fetch SDL for mutation addAddress](#graphql-partial-sdls).

#### Update Customer address

[fetch SDL for mutation updateAddress](#graphql-partial-sdls).

#### Remove Customer address

[fetch SDL for mutation removeAddress](#graphql-partial-sdls).

#### Set default Customer address

[fetch SDL for mutation setDefaultAddress](#graphql-partial-sdls).

### Output types

#### Customer

[fetch SDL for type Customer](#graphql-partial-sdls).

#### Saved Address

[fetch SDL for type SavedAddress](#graphql-partial-sdls).

#### Auth Mode

[fetch SDL for type AuthMode](#graphql-partial-sdls).

#### Address Use

[fetch SDL for type AddressUse](#graphql-partial-sdls).

#### Customer Result

[fetch SDL for type CustomerResult](#graphql-partial-sdls).

#### Saved Address Result

[fetch SDL for type SavedAddressResult](#graphql-partial-sdls).

### Input types

#### Register Input

[fetch SDL for type RegisterInput](#graphql-partial-sdls).

#### Update Profile Input

[fetch SDL for type UpdateProfileInput](#graphql-partial-sdls).

#### Change Email Input

[fetch SDL for type ChangeEmailInput](#graphql-partial-sdls).

#### Address Book Input

[fetch SDL for type AddressBookInput](#graphql-partial-sdls).

#### Update Address Input

[fetch SDL for type UpdateAddressInput](#graphql-partial-sdls).

## Related pages

- [Area overview page with navigation](/commerce-integration-layer.md)
- [Previous page: Order](/commerce-integration-layer/experience/order.md)
- [Next page: Shopping List](/commerce-integration-layer/experience/list.md)
- [Search documentation and API specs](/search.md)